Name: forehead
Version: 1.0
Release: alt0.1

Summary: forehead: Java(tm) ClassLoader Management Framework

Group: Development/Java
License: Open Source
Url: http://forehead.sourceforge.net/
Source0: forehead.tar.gz
Source1: forehead_doc.tar.gz

BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit

BuildArch: noarch

%description
forehead is a very small framework to assist in controlling
the run-time ClassLoader hierarchy of Java applications.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
%summary.

%package manual
Summary: Documentation for %name
Group: Development/Java

%description manual
%summary.

%prep
%setup -q -n %name

%build
%__ant -Dbuild.sysclasspath=only test dist
%__rm -rf target/docs/*
(cd target/docs; gzip -dc %SOURCE1 | tar -xf -)

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name}

%__install -m 644 dist/*.jar %buildroot%_javadir/%name.jar

# javadoc
%__cp -pr dist/docs/apidocs/* %buildroot%_javadocdir/%name

%files
%doc LICENSE.txt
%_javadir/*.jar

%files javadoc
%_javadocdir/%name

%files manual
%doc target/docs/*

%changelog
* Sat Apr 30 2005 Vladimir Lettiev <crux@altlinux.ru> 1.0-alt0.1
- Rebuilt for ALTLinux Sisyphus
- spec cleanup

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.b4-4jpp
- Build with ant-1.6.2

* Fri Aug 06 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.b4-3jpp
- Void change

* Tue Jun 01 2004 Randy Watler <rwatler at finali.com> - 0:1.0.b4-2jpp
- Upgrade to Ant 1.6.X

* Tue Jan 20 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.0.b4-1jpp
- First JPackage release
